Bug 1000385 - NPE when ksession is serialized with facts logically inserted
NPE when ksession is serialized with facts logically inserted
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRE (Expert, Fusion) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity high
: GA
: ---
Assigned To: Edson Tirelli
Marek Winkler
:
Depends On: 1000384
Blocks: 986451
  Show dependency treegraph
 
Reported: 2013-08-23 06:54 EDT by Toshiya Kobayashi
Modified: 2013-09-12 08:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1000384
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-236 Major Closed NPE when ksession is serialized with facts logically inserted 2016-03-16 14:42 EDT

  None (edit)
Description Toshiya Kobayashi 2013-08-23 06:54:18 EDT
+++ This bug was initially created as a clone of Bug #1000384 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/DROOLS-236

Steps to Reproduce:
1. See DROOLS-236 and test case in the pull request


Actual results:

Throws NullPointerException

Expected results:

Rule is executed.
Comment 1 JBoss JIRA Server 2013-08-23 19:58:47 EDT
Davide Sottara <dsotty@gmail.com> made a comment on jira DROOLS-236

The problem is in the ProtoBuf, Edson is fixing it even now. 
Affects version 5.x as well
Comment 2 JBoss JIRA Server 2013-08-24 14:56:53 EDT
Edson Tirelli <ed.tirelli@gmail.com> made a comment on jira DROOLS-236

Fixed in 6.0.x and master. Will backport to 5.x. Thanks for the test case and investigating the problem.
Comment 3 JBoss JIRA Server 2013-08-24 14:57:12 EDT
Edson Tirelli <ed.tirelli@gmail.com> updated the status of jira DROOLS-236 to Closed
Comment 4 Edson Tirelli 2013-08-24 16:57:48 EDT
Fixed in 5.3.x. 

IMPORTANT: please note that this fix requires the upgrade of the protobuf jar dependency to version 2.5.0 (was 2.4.1 before). 

PS: I am setting the milestone to GA because bugzilla is forcing me to do it. Please fix it.
Comment 6 Marek Winkler 2013-09-12 08:29:57 EDT
Verified on 5.3.1.BRMS-P04.

Note You need to log in before you can comment on or make changes to this bug.